%global srcname oauth2
# Erlang packages do not provide debug subpackages.
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    0.6.1
Release:    4%{?dist}

License:    MIT
Summary:    An Oauth2 implementation for Erlang
URL:        https://github.com/kivra/%{srcname}
Source0:    https://github.com/kivra/%{srcname}/archive/%{version}.tar.gz
Patch1:     erlang-oauth2-0001-Implicit-Grant-doesn-t-need-client-secret.patch
Patch2:     erlang-oauth2-0002-Add-refresh_token-to-access_token-context.patch
Patch3:     erlang-oauth2-0003-Don-t-use-deprecated-funs-in-Erlang-18.patch
BuildRequires: erlang-meck
BuildRequires: erlang-proper
BuildRequires: erlang-rebar


%description
This library is designed to simplify the implementation of the server side of
OAuth2.


%prep
%autosetup -n %{srcname}-%{version} -p 1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Sep  9 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-3
- Spec-file cleanups accorging to Fedora Erlang Packaging Guidelines

* Fri Mar 11 2016 Randy Barlow <rbarlow@redhat.com> - 0.6.1-2
- Rebuild to use the new automatic provides/requires build feature.

* Tue Feb 16 2016 Randy Barlow <rbarlow@redhat.com> - 0.6.1-1
- Update to 0.6.1.
- Re-enable tests on i686.
- Remove patch for Erlang 18 since it is fixed in this version.

* Sun Feb 07 2016 Randy Barlow <rbarlow@redhat.com> - 0.6.0-4
- Added a patch from upstream commit f1e0cb05 to fix support for Erlang 18.

* Sat Jan 09 2016 Randy Barlow <rbarlow@redhat.com> - 0.6.0-3
- Do not run the tests on i686.
- Use the Erlang macros more effectively.

* Tue Jan 05 2016 Randy Barlow <rbarlow@redhat.com> - 0.6.0-2
- Remove the noarch target, as it causes the package to install outside the erts path.
- Add a Requires on erlang-erts.

* Sun Dec 27 2015 Randy Barlow <rbarlow@redhat.com> - 0.6.0-1
- Initial release.
